<?php


namespace App\Http\Controllers;

use App\User;
use App\Barang;
use App\RequestBarang;
use App\DataRequest;
use App\Http\Requests;
use Illuminate\Http\Request;

use Illuminate\Support\Facades\Auth;

class CustomerController extends Controller
{


//----------------------------Pembelian Barang----------------------//
    
 	public function BeliBarang()
    {
    	$barangs = Barang::all();
        return view('adminlte::customer.BeliBarang.index', compact('barangs'));
    }

    public function create()
    {
        return view('adminlte::inventori.BeliBarang.create');
    }
   
    public function store(Request $request)
    {
        $this->validate($request, [
            'nama' => 'required',
            'jumlah' => 'required',
            'harga' => 'required',
            'deskripsi' => 'required',
            'kategori' => 'required',
            'gambar' => 'required',
        ]);

        $barangs = new Barang();
        $barangs->nama = $request['nama'];
        $barangs->jumlah = $request['jumlah'];
        $barangs->harga = $request['harga'];
        $barangs->deskripsi = $request['deskripsi'];
        $barangs->kategori = $request['kategori'];
        $barangs->gambar = $request['gambar'];
        $barangs->save();
        return redirect('BeliBarang');
    }

  	



//----------------------------Data Request----------------------//

  	public function RequestBarang()
    {
        $data_requests = DataRequest::all();
        return view('adminlte::customer.RequestBarang.index', compact('data_requests'));
    }


    public function createRequest($id)
    {
        $data_requests = DataRequest::where('id', $id)->first();
        return view('adminlte::customer.RequestBarang.createRequest')->with('data_requests', $data_requests);
    }

 


    public function saveRequest(Request $request)
    {
        $request_barangs = new RequestBarang();
        $request_barangs->user_id = $request->user_id;
        $request_barangs->username = $request->username;
        $request_barangs->nama_barang = $request->nama_barang;
        $request_barangs->kategori = $request->kategori;
        $request_barangs->harga =$request->harga;
        $request_barangs->jumlah = $request->jumlah;
        $harga = $request->harga;
        $jumlah = $request->jumlah;
        $total_harga = $harga * $jumlah;
        $request_barangs->total_harga = $total_harga;
        $request_barangs->status_request = $request->status_request;
        $request_barangs->status_pengantaran = $request->status_pengantaran;
        $request_barangs->save();
        return redirect('RequestBarang');
    }


//----------------------------Check Saldo----------------------------//
    public function CheckSaldo()
    {
        $users = User::all();
        return view('adminlte::customer.CheckSaldo.index');
    }
    




//----------------------------Histori Transaksi----------------------//
    public function HistoryTransaksi()
    {
        $request_barangs = RequestBarang::all(); 
        return view('adminlte::customer.HistoryTransaksi.index')->with('request_barangs', $request_barangs);
    }
}