<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;

use App\User;
use App\Transaksi;

class KasirController extends Controller
{
 	public function ListCustomer()
    {
       $users = User::where('status', 'like', 'customer')->get();
        return view('adminlte::kasir.ListCustomer.index', compact('users'));
    }

     public function ListTransaksi()
    {
    	$transaksis = Transaksi::all();
        return view('adminlte::kasir.ListTransaksi.index', compact('transaksis'));
    }


    public function addSaldo($id)
    {
        $users = User::where('id', $id)->first();
        return view('adminlte::kasir.ListCustomer.addSaldo')->with('users', $users);
    }

    public function saldo(Request $request,$id){   
       $data = User::find($id);
       $data->saldo = $data->saldo+$request['saldo'];
       $data->update();

       return redirect('ListCustomer');
    }   

    public function KonfirmasiBarang($id){
     DB::table('request_barangs')->where('id', $id)->update(['status_request'=> 1]);
     return redirect()->back();
    }
}